import request from '@/utils/request'

// 查询运单管理列表
export function listWaybill (query) {
  return request({
    url: '/system/waybill/list',
    method: 'get',
    params: query
  })
}

// 查询运单管理详细
export function getWaybill (id) {
  return request({
    url: '/system/waybill/' + id,
    method: 'get'
  })
}

// 新增运单管理
export function addWaybill (data) {
  return request({
    url: '/system/waybill',
    method: 'post',
    data: data
  })
}

// 修改运单管理
export function updateWaybill (data) {
  return request({
    url: '/system/waybill',
    method: 'put',
    data: data
  })
}

// 删除运单管理
export function delWaybill (id) {
  return request({
    url: '/system/waybill/' + id,
    method: 'delete'
  })
}

// 导出运单管理
export function exportWaybill (query) {
  return request({
    url: '/system/waybill/export',
    method: 'get',
    params: query
  })
}
